openSUSE-SU-2021:0107-1: moderate: Security update for openldap2

openSUSE Security Update: Security update for openldap2______________________________________________________________________________Announcement ID: openSUSE-SU-2021:0107-1Rating: moderateReferences: #1178909 #1179503 Cross-References: CVE-2020-25709 CVE-2020-25710Affected Products: openSUSE Leap 15.2______________________________________________________________________________ An update that fixes two vulnerabilities is now available.Description: This update for openldap2 fixes the following issues: Security issues fixed: - CVE-2020-25709: Fixed a crash caused by specially crafted network traffic (bsc#1178909). - CVE-2020-25710: Fixed a crash caused by specially crafted network traffic (bsc#1178909). Non-security issue fixed: - Retry binds in the LDAP backend when the remote LDAP server disconnected the (idle) LDAP connection. (bsc#1179503) This update was imported from the SUSE:SLE-15:Update update project.Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or “zypper patch”. Alternatively you can run the command listed for your product: - openSUSE Leap 15.2: zypper in -t patch openSUSE-2021-107=1Package List: - openSUSE Leap 15.2 (i586 x86_64): libldap-2_4-2-2.4.46-lp152.14.15.1 libldap-2_4-2-debuginfo-2.4.46-lp152.14.15.1 openldap2-2.4.46-lp152.14.15.1 openldap2-back-meta-2.4.46-lp152.14.15.1 openldap2-back-meta-debuginfo-2.4.46-lp152.14.15.1 openldap2-back-perl-2.4.46-lp152.14.15.1 openldap2-back-perl-debuginfo-2.4.46-lp152.14.15.1 openldap2-back-sock-2.4.46-lp152.14.15.1 openldap2-back-sock-debuginfo-2.4.46-lp152.14.15.1 openldap2-back-sql-2.4.46-lp152.14.15.1 openldap2-back-sql-debuginfo-2.4.46-lp152.14.15.1 openldap2-client-2.4.46-lp152.14.15.1 openldap2-client-debuginfo-2.4.46-lp152.14.15.1 openldap2-contrib-2.4.46-lp152.14.15.1 openldap2-contrib-debuginfo-2.4.46-lp152.14.15.1 openldap2-debuginfo-2.4.46-lp152.14.15.1 openldap2-debugsource-2.4.46-lp152.14.15.1 openldap2-devel-2.4.46-lp152.14.15.1 openldap2-devel-static-2.4.46-lp152.14.15.1 openldap2-ppolicy-check-password-1.2-lp152.14.15.1 openldap2-ppolicy-check-password-debuginfo-1.2-lp152.14.15.1 - openSUSE Leap 15.2 (noarch): libldap-data-2.4.46-lp152.14.15.1 openldap2-doc-2.4.46-lp152.14.15.1 - openSUSE Leap 15.2 (x86_64): libldap-2_4-2-32bit-2.4.46-lp152.14.15.1 libldap-2_4-2-32bit-debuginfo-2.4.46-lp152.14.15.1 openldap2-devel-32bit-2.4.46-lp152.14.15.1References: https://www.suse.com/security/cve/CVE-2020-25709.html https://www.suse.com/security/cve/CVE-2020-25710.html https://bugzilla.suse.com/1178909 https://bugzilla.suse.com/1179503

More…